@extends ('layouts.patient')

@section('inner-content')
    <div class="font-weight-bold mb-2">Contact Info</div>
    <div class="mb-2">
        <div class="mb-1">
            Phone: <b>{{ $patient->cell_number }}</b>
        </div>
        <div class="mb-1">
            Email: <b>{{ $patient->email_address }}</b>
        </div>
        <div class="mb-1">
            Home City: <b>{{ $patient->home_address_city }}</b>
        </div>
        <div class="mb-1">
            Home State: <b>{{ $patient->home_address_state }}</b>
        </div>
        <div class="mt-3">
            <div moe>
                <a start show><i class="fa fa-edit"></i> Edit Info</a>
                <form url="/api/client/putContactInfo" class="mcp-theme-1">
                    <input type="hidden" name="uid" value="{{$patient->uid}}">
                    <div class="mb-2">
                        <input type="tel"
                               class="form-control form-control-sm"
                               name="cellNumber"
                               placeholder="Phone Number"
                               value="{{ $patient->cell_number }}">
                    </div>
                    <div class="mb-2">
                        <input type="text"
                               class="form-control form-control-sm"
                               name="email"
                               placeholder="Email"
                               value="{{ $patient->email_address }}">
                    </div>
                    <div class="mb-2">
                        <input type="text"
                               class="form-control form-control-sm"
                               name="city"
                               placeholder="City"
                               value="{{ $patient->home_address_city }}">
                    </div>
                    <div class="mb-2">
                        <input type="text"
                               class="form-control form-control-sm"
                               name="state"
                               placeholder="State"
                               value="{{ $patient->home_address_state }}">
                    </div>
                    <div>
                        <button submit class="btn btn-sm btn-primary mr-1">Submit</button>
                        <button cancel class="btn btn-sm btn-default border">Cancel</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <hr class="m-negator my-3">
    <span>MCP Onboarding Visit: <b>{{ $patient->has_mcp_done_onboarding_visit }}</b></span>
    <span moe class="ml-2">
        <a start show><i class="fa fa-edit"></i></a>
        <form url="/api/client/updateMcpOnboardingVisitInfo" class="mcp-theme-1">
            <input type="hidden" name="uid" value="{{$patient->uid}}">
            <div class="mb-2">
                <select name="hasMcpDoneOnboardingVisit"
                        class="form-control form-control-sm"
                        onchange="toggleDisabledAsNeeded(this, 'YES', 'if-visit-done')">
                    <option value="">-- Select Status --</option>
                    <option value="YES" {{ $patient->has_mcp_done_onboarding_visit === 'YES' ? 'selected' : '' }}>YES</option>
                    <option value="NO" {{ $patient->has_mcp_done_onboarding_visit === 'NO' ? 'selected' : '' }}>NO</option>
                    <option value="UNKNOWN" {{ $patient->has_mcp_done_onboarding_visit === 'UNKNOWN' ? 'selected' : '' }}>UNKNOWN</option>
                </select>
            </div>
            <div class="mb-2">
                <input type="date" class="if-visit-done form-control form-control-sm" disabled
                       name="mcpOnboardingVisitDate" value="{{ date('Y-m-d') }}" max="{{ date('Y-m-d') }}">
            </div>
            <div class="mb-2">
                <select name="mcpOnboardingVisitNoteUid" disabled
                        class="form-control form-control-sm if-visit-done"
                        onchange="if(this.value === '-- create --') createNewNote('{{$patient->uid}}', '{{$pro->uid}}', '{{date('Y-m-d')}}');">
                    <option value="">-- Visit Note --</option>
                    @foreach ($notes as $note)
                        @if(!empty($note->title) && $note->client_id === $patient->id && !$note->is_cancelled)
                            <option
                                {{ $patient->mcp_onboarding_visit_note_id === $note->id ? 'selected' : '' }}
                                value="{{$note->uid}}">{{$note->title}} ({{friendly_date_time($note->effective_dateest, false)}})</option>
                        @endif
                    @endforeach
                    {{--<option value="-- create --">-- Create Note --</option>--}}
                </select>
            </div>
            <div class="mb-2 if-note-outside-system">
                <textarea class="form-control form-control-sm" name="reasonOnboardingVisitNoteOutsideSystem" placeholder="Visit note outside the system reason" spellcheck="false" data-gramm="false"></textarea>
            </div>
            <div>
                <button submit class="btn btn-sm btn-primary mr-1">Submit</button>
                <button cancel class="btn btn-sm btn-default border">Cancel</button>
            </div>
        </form>
    </span>
@endsection
